## vm 6.28

=== Makefile ===
# what Emacs version to build VM for.
# Allowed values are 18 and 19.
# Version 18 of Emacs is UNSUPPORTED.
# In fact all versions of Emacs prior to 19.34 for Emacs and
# prior to 19.14 for XEmacs are unsupported.
#
# Currently only vm-isearch-forward depends on the EMACS_VERSION
# setting being correct.  You can use the same VM .elc files
# under v18 and v19 Emacs if you don't care about
# vm-isearch-forward.
#
# Note that .elc files compiled with the v19 byte compiler won't
# work under v18 Emacs, but v18 .elcs will work under v19.  So
# point this at your v18 Emacs binary if you want compatible .elc
# files.
EMACS_VERSION = 19

# what emacs is called on your system
EMACS = emacs

# where the Info file should go
INFODIR = /usr/local/lib/emacs/info

# where the vm.elc, tapestry.elc, etc. files should go
LISPDIR = /usr/local/lib/emacs/site-lisp

# where the toolbar pixmaps should go.
# vm-toolbar-pixmap-directory must point to the same place.
PIXMAPDIR = /usr/local/lib/emacs/etc/vm

############## no user servicable parts beyond this point ###################

# no csh please
SHELL = /bin/sh

# byte compiler options
BYTEOPTS = ./vm-byteopts.el

# have to preload the files that contain macro definitions or the
# byte compiler will compile everything that references them
# incorrectly.  also preload a file that sets byte compiler options.
PRELOADS = -l $(BYTEOPTS) -l ./vm-message.el -l ./vm-misc.el -l ./vm-vars.el -l ./vm-version.el

# compile with noninteractive and relatively clean environment
BATCHFLAGS = -batch -q -no-site-file

# files that contain key macro definitions.  almost everything
# depends on them because the byte-compiler inlines macro
# expansions.  everything also depends on the byte compiler
# options file since this might do odd things like turn off
# certain compiler optimizations.
CORE = vm-message.el vm-misc.el vm-byteopts.el

OBJECTS = \
    vm-delete.elc vm-digest.elc vm-easymenu.elc vm-edit.elc vm-folder.elc \
    vm-license.elc vm-mark.elc vm-menu.elc vm-message.elc \
    vm-mime.elc vm-minibuf.elc vm-misc.elc vm-mouse.elc \
    vm-motion.elc vm-page.elc vm-pop.elc vm-reply.elc \
    vm-save.elc \
    vm-search.elc vm-sort.elc vm-summary.elc vm-startup.elc vm-thread.elc \
    vm-toolbar.elc vm-undo.elc \
    vm-user.elc vm-vars.elc vm-version.elc vm-virtual.elc vm-window.elc

SOURCES = \
    vm-delete.el vm-digest.el vm-easymenu.el vm-edit.el vm-folder.el \
    vm-license.el vm-mark.el vm-menu.el vm-message.el \
    vm-mime.el vm-minibuf.el vm-misc.el vm-mouse.el \
    vm-motion.el vm-page.el vm-pop.el vm-reply.el vm-save.el \
    vm-search.el vm-sort.el vm-startup.el vm-summary.el vm-thread.el \
    vm-toolbar.el vm-undo.el \
    vm-user.el vm-vars.el vm-version.el vm-virtual.el vm-window.el

vm:	vm.elc

vm.elc:	autoload

noautoload:	$(OBJECTS) tapestry.elc
	@echo "building vm.elc (with all modules included)..."
	@cat $(OBJECTS) tapestry.elc > vm.elc

autoload:	vm-autoload.elc $(OBJECTS) tapestry.elc
	@echo "building vm.elc (with all modules set to autoload)..."
	@echo "(require 'vm-startup)" > vm.elc
	@echo "(require 'vm-vars)" >> vm.elc
	@echo "(require 'vm-version)" >> vm.elc
	@echo "(require 'vm-autoload)" >> vm.elc

all:	vm.info vm

debug:	$(SOURCES) tapestry.el
	@echo "building vm.elc (uncompiled, no autoloads)..."
	@cat $(SOURCES) tapestry.el > vm.elc

install:	all
	cp vm.info $(INFODIR)/vm
	cp *.elc $(LISPDIR)
	cp pixmaps/*.xpm $(PIXMAPDIR)

clean:
	rm -f vm-autoload.el vm-autoload.elc $(OBJECTS) tapestry.elc

vm.info:	vm.texinfo
	@echo "making vm.info..."
	@$(EMACS) $(BATCHFLAGS) -insert vm.texinfo -l texinfmt -f texinfo-format-buffer -f save-buffer

vm-autoload.elc:	$(SOURCES)
	@echo scanning sources to build autoload definitions...
	@echo "(provide 'vm-autoload)" > vm-autoload.el
	@$(EMACS) $(BATCHFLAGS) -l ./make-autoloads -f print-autoloads $(SOURCES) >> vm-autoload.el
	@echo compiling vm-autoload.el...
	@$(EMACS) $(BATCHFLAGS) -l $(BYTEOPTS) -f batch-byte-compile vm-autoload.el

vm-delete.elc:	vm-delete.el $(CORE)
	@echo compiling vm-delete.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-delete.el

vm-digest.elc:	vm-digest.el $(CORE)
	@echo compiling vm-digest.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-digest.el

vm-edit.elc:	vm-edit.el $(CORE)
	@echo compiling vm-edit.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-edit.el

vm-folder.elc:	vm-folder.el $(CORE)
	@echo compiling vm-folder.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-folder.el

vm-license.elc:	vm-license.el $(CORE)
	@echo compiling vm-license.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-license.el

vm-mark.elc:	vm-mark.el $(CORE)
	@echo compiling vm-mark.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-mark.el

vm-menu.elc:	vm-menu.el vm-easymenu.el $(CORE)
	@echo compiling vm-menu.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -l ./vm-easymenu.el -f batch-byte-compile vm-menu.el

vm-message.elc:	vm-message.el $(CORE)
	@echo compiling vm-message.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-message.el

vm-minibuf.elc:	vm-minibuf.el $(CORE)
	@echo compiling vm-minibuf.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-minibuf.el

vm-mime.elc:	vm-mime.el $(CORE)
	@echo compiling vm-mime.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-mime.el

vm-misc.elc:	vm-misc.el $(CORE)
	@echo compiling vm-misc.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-misc.el

vm-mouse.elc:	vm-mouse.el $(CORE)
	@echo compiling vm-mouse.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-mouse.el

vm-motion.elc:	vm-motion.el $(CORE)
	@echo compiling vm-motion.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-motion.el

vm-page.elc:	vm-page.el $(CORE)
	@echo compiling vm-page.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-page.el

vm-pop.elc:	vm-pop.el $(CORE)
	@echo compiling vm-pop.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-pop.el

vm-reply.elc:	vm-reply.el $(CORE)
	@echo compiling vm-reply.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-reply.el

vm-save.elc:	vm-save.el $(CORE)
	@echo compiling vm-save.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-save.el

vm-search.el:	Makefile vm-search$(EMACS_VERSION).el
	@echo making vm-search.el...
	@{ test -f vm-search.el && \
	  cmp -s vm-search.el vm-search$(EMACS_VERSION).el && \
	  touch vm-search.el ; } || \
	 { rm -f vm-search.el; cp vm-search$(EMACS_VERSION).el vm-search.el ; }

vm-search.elc:	vm-search.el $(CORE)
	@echo compiling vm-search.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-search.el

vm-sort.elc:	vm-sort.el $(CORE)
	@echo compiling vm-sort.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-sort.el

vm-startup.elc:	vm-startup.el $(CORE)
	@echo compiling vm-startup.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-startup.el

vm-summary.elc:	vm-summary.el $(CORE)
	@echo compiling vm-summary.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-summary.el

vm-thread.elc:	vm-thread.el $(CORE)
	@echo compiling vm-thread.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-thread.el

vm-toolbar.elc:	vm-toolbar.el $(CORE)
	@echo compiling vm-toolbar.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-toolbar.el

vm-undo.elc:	vm-undo.el $(CORE)
	@echo compiling vm-undo.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-undo.el

vm-user.elc:	vm-user.el $(CORE)
	@echo compiling vm-user.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-user.el

vm-vars.elc:	vm-vars.el $(CORE)
	@echo compiling vm-vars.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-vars.el

vm-version.elc:	vm-version.el $(CORE)
	@echo compiling vm-version.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-version.el

vm-virtual.elc:	vm-virtual.el $(CORE)
	@echo compiling vm-virtual.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-virtual.el

vm-window.elc:	vm-window.el $(CORE)
	@echo compiling vm-window.el...
	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-window.el

tapestry.elc:	tapestry.el
	@echo compiling tapestry.el...
	@$(EMACS) $(BATCHFLAGS) -l $(BYTEOPTS) -f batch-byte-compile tapestry.el

vm-easymenu.elc:	vm-easymenu.el
	@echo compiling vm-easymenu.el...
	@$(EMACS) $(BATCHFLAGS) -l $(BYTEOPTS) -f batch-byte-compile vm-easymenu.el

## vm 6.62

=== Makefile ===
--- 
+++ 
@@ -2,17 +2,9 @@
 # Allowed values are 18 and 19.
 # Version 18 of Emacs is UNSUPPORTED.
 # In fact all versions of Emacs prior to 19.34 for Emacs and
-# prior to 19.14 for XEmacs are unsupported.
+# prior to 19.14 for XEmacs are unsupported.  For v20 XEmacs
+# EMACS_VERSION should remain 19.
 #
-# Currently only vm-isearch-forward depends on the EMACS_VERSION
-# setting being correct.  You can use the same VM .elc files
-# under v18 and v19 Emacs if you don't care about
-# vm-isearch-forward.
-#
-# Note that .elc files compiled with the v19 byte compiler won't
-# work under v18 Emacs, but v18 .elcs will work under v19.  So
-# point this at your v18 Emacs binary if you want compatible .elc
-# files.
 EMACS_VERSION = 19
 
 # what emacs is called on your system
@@ -26,6 +18,7 @@
 
 # where the toolbar pixmaps should go.
 # vm-toolbar-pixmap-directory must point to the same place.
+# vm-image-directory must point to the same place.
 PIXMAPDIR = /usr/local/lib/emacs/etc/vm
 
 ############## no user servicable parts beyond this point ###################
@@ -53,7 +46,7 @@
 
 OBJECTS = \
     vm-delete.elc vm-digest.elc vm-easymenu.elc vm-edit.elc vm-folder.elc \
-    vm-license.elc vm-mark.elc vm-menu.elc vm-message.elc \
+    vm-imap.elc vm-license.elc vm-mark.elc vm-menu.elc vm-message.elc \
     vm-mime.elc vm-minibuf.elc vm-misc.elc vm-mouse.elc \
     vm-motion.elc vm-page.elc vm-pop.elc vm-reply.elc \
     vm-save.elc \
@@ -63,7 +56,7 @@
 
 SOURCES = \
     vm-delete.el vm-digest.el vm-easymenu.el vm-edit.el vm-folder.el \
-    vm-license.el vm-mark.el vm-menu.el vm-message.el \
+    vm-imap.el vm-license.el vm-mark.el vm-menu.el vm-message.el \
     vm-mime.el vm-minibuf.el vm-misc.el vm-mouse.el \
     vm-motion.el vm-page.el vm-pop.el vm-reply.el vm-save.el \
     vm-search.el vm-sort.el vm-startup.el vm-summary.el vm-thread.el \
@@ -126,6 +119,10 @@
 	@echo compiling vm-folder.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-folder.el
 
+vm-imap.elc:	vm-imap.el $(CORE)
+	@echo compiling vm-imap.el...
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-imap.el
+
 vm-license.elc:	vm-license.el $(CORE)
 	@echo compiling vm-license.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-license.el

## vm 7.03

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,25 @@
-# what Emacs version to build VM for.
-# Allowed values are 18 and 19.
-# Version 18 of Emacs is UNSUPPORTED.
-# In fact all versions of Emacs prior to 19.34 for Emacs and
-# prior to 19.14 for XEmacs are unsupported.  For v20 XEmacs
-# EMACS_VERSION should remain 19.
-#
-EMACS_VERSION = 19
+# All versions of Emacs prior to 19.34 for Emacs and
+# prior to 19.14 for XEmacs are unsupported.
 
 # what emacs is called on your system
 EMACS = emacs
 
+# top of the installation
+prefix = /usr/local
+
 # where the Info file should go
-INFODIR = /usr/local/lib/emacs/info
+INFODIR = ${prefix}/lib/emacs/info
 
 # where the vm.elc, tapestry.elc, etc. files should go
-LISPDIR = /usr/local/lib/emacs/site-lisp
+LISPDIR = ${prefix}/lib/emacs/site-lisp
 
 # where the toolbar pixmaps should go.
 # vm-toolbar-pixmap-directory must point to the same place.
 # vm-image-directory must point to the same place.
-PIXMAPDIR = /usr/local/lib/emacs/etc/vm
+PIXMAPDIR = ${prefix}/lib/emacs/etc/vm
+
+# where the binaries should be go.
+BINDIR = ${prefix}/bin
 
 ############## no user servicable parts beyond this point ###################
 
@@ -32,7 +32,7 @@
 # have to preload the files that contain macro definitions or the
 # byte compiler will compile everything that references them
 # incorrectly.  also preload a file that sets byte compiler options.
-PRELOADS = -l $(BYTEOPTS) -l ./vm-message.el -l ./vm-misc.el -l ./vm-vars.el -l ./vm-version.el
+PRELOADS = -l $(BYTEOPTS) -l ./vm-version.el -l ./vm-message.el -l ./vm-macro.el -l ./vm-vars.el  
 
 # compile with noninteractive and relatively clean environment
 BATCHFLAGS = -batch -q -no-site-file
@@ -42,26 +42,35 @@
 # expansions.  everything also depends on the byte compiler
 # options file since this might do odd things like turn off
 # certain compiler optimizations.
-CORE = vm-message.el vm-misc.el vm-byteopts.el
-
+CORE = vm-message.el vm-macro.el vm-byteopts.el
+
+# vm-version.elc needs to be first in this list, because load time
+# code needs the Emacs/XEmacs MULE/no-MULE feature stuff.
 OBJECTS = \
+    vm-version.elc \
+    vm-crypto.elc \
     vm-delete.elc vm-digest.elc vm-easymenu.elc vm-edit.elc vm-folder.elc \
-    vm-imap.elc vm-license.elc vm-mark.elc vm-menu.elc vm-message.elc \
+    vm-imap.elc vm-license.elc vm-macro.elc vm-mark.elc vm-menu.elc \
+    vm-message.elc \
     vm-mime.elc vm-minibuf.elc vm-misc.elc vm-mouse.elc \
     vm-motion.elc vm-page.elc vm-pop.elc vm-reply.elc \
     vm-save.elc \
     vm-search.elc vm-sort.elc vm-summary.elc vm-startup.elc vm-thread.elc \
     vm-toolbar.elc vm-undo.elc \
-    vm-user.elc vm-vars.elc vm-version.elc vm-virtual.elc vm-window.elc
+    vm-user.elc vm-vars.elc vm-virtual.elc vm-window.elc
 
 SOURCES = \
+    vm-version.el \
+    vm-crypto.el \
     vm-delete.el vm-digest.el vm-easymenu.el vm-edit.el vm-folder.el \
-    vm-imap.el vm-license.el vm-mark.el vm-menu.el vm-message.el \
+    vm-imap.el vm-license.el vm-macro.el vm-mark.el vm-menu.el vm-message.el \
     vm-mime.el vm-minibuf.el vm-misc.el vm-mouse.el \
     vm-motion.el vm-page.el vm-pop.el vm-reply.el vm-save.el \
     vm-search.el vm-sort.el vm-startup.el vm-summary.el vm-thread.el \
     vm-toolbar.el vm-undo.el \
-    vm-user.el vm-vars.el vm-version.el vm-virtual.el vm-window.el
+    vm-user.el vm-vars.el vm-virtual.el vm-window.el
+
+UTILS = qp-decode qp-encode base64-decode base64-encode
 
 vm:	vm.elc
 
@@ -73,24 +82,55 @@
 
 autoload:	vm-autoload.elc $(OBJECTS) tapestry.elc
 	@echo "building vm.elc (with all modules set to autoload)..."
-	@echo "(require 'vm-startup)" > vm.elc
-	@echo "(require 'vm-vars)" >> vm.elc
-	@echo "(require 'vm-version)" >> vm.elc
-	@echo "(require 'vm-autoload)" >> vm.elc
-
-all:	vm.info vm
+	@echo "(defun vm-its-such-a-cruel-world ()" > vm.el
+	@echo "   (require 'vm-version)" >> vm.el
+	@echo "   (require 'vm-startup)" >> vm.el
+	@echo "   (require 'vm-vars)" >> vm.el
+	@echo "   (require 'vm-autoload))" >> vm.el
+	@echo "(vm-its-such-a-cruel-world)" >> vm.el
+	@echo "(fmakunbound 'vm-its-such-a-cruel-world)" >> vm.el
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm.el
+
+all:	vm.info vm utils
 
 debug:	$(SOURCES) tapestry.el
 	@echo "building vm.elc (uncompiled, no autoloads)..."
 	@cat $(SOURCES) tapestry.el > vm.elc
 
-install:	all
-	cp vm.info $(INFODIR)/vm
+utils: $(UTILS)
+
+qp-decode: qp-decode.c
+	$(CC) $(CFLAGS) -o qp-decode qp-decode.c
+
+qp-encode: qp-encode.c
+	$(CC) $(CFLAGS) -o qp-encode qp-encode.c
+
+base64-decode: base64-decode.c
+	$(CC) $(CFLAGS) -o base64-decode base64-decode.c
+
+base64-encode: base64-encode.c
+	$(CC) $(CFLAGS) -o base64-encode base64-encode.c
+
+install: all install-info install-vm install-pixmaps install-utils
+
+install-info: vm.info
+	test -d $(INFODIR) || mkdir -p $(INFODIR)
+	cp vm.info vm.info-* $(INFODIR)
+
+install-vm: vm.elc
+	test -d $(LISPDIR) || mkdir -p $(LISPDIR)
 	cp *.elc $(LISPDIR)
-	cp pixmaps/*.xpm $(PIXMAPDIR)
+
+install-pixmaps:
+	test -d $(PIXMAPDIR) || mkdir -p $(PIXMAPDIR)
+	cp pixmaps/*.x[pb]m $(PIXMAPDIR)
+
+install-utils: $(UTILS)
+	test -d $(BINDIR) || mkdir -p $(BINDIR)
+	cp $(UTILS) $(BINDIR)
 
 clean:
-	rm -f vm-autoload.el vm-autoload.elc $(OBJECTS) tapestry.elc
+	rm -f $(UTILS) vm.info vm.info-* vm-autoload.el vm-autoload.elc $(OBJECTS) tapestry.elc
 
 vm.info:	vm.texinfo
 	@echo "making vm.info..."
@@ -103,6 +143,10 @@
 	@echo compiling vm-autoload.el...
 	@$(EMACS) $(BATCHFLAGS) -l $(BYTEOPTS) -f batch-byte-compile vm-autoload.el
 
+vm-crypto.elc:	vm-crypto.el $(CORE)
+	@echo compiling vm-crypto.el...
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-crypto.el
+
 vm-delete.elc:	vm-delete.el $(CORE)
 	@echo compiling vm-delete.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-delete.el
@@ -127,6 +171,10 @@
 	@echo compiling vm-license.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-license.el
 
+vm-macro.elc:	vm-macro.el $(CORE)
+	@echo compiling vm-macro.el...
+	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-macro.el
+
 vm-mark.elc:	vm-mark.el $(CORE)
 	@echo compiling vm-mark.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-mark.el
@@ -175,13 +223,6 @@
 	@echo compiling vm-save.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-save.el
 
-vm-search.el:	Makefile vm-search$(EMACS_VERSION).el
-	@echo making vm-search.el...
-	@{ test -f vm-search.el && \
-	  cmp -s vm-search.el vm-search$(EMACS_VERSION).el && \
-	  touch vm-search.el ; } || \
-	 { rm -f vm-search.el; cp vm-search$(EMACS_VERSION).el vm-search.el ; }
-
 vm-search.elc:	vm-search.el $(CORE)
 	@echo compiling vm-search.el...
 	@$(EMACS) $(BATCHFLAGS) $(PRELOADS) -f batch-byte-compile vm-search.el

## vm 8.1.2

=== debian/changelog ===
vm (8.1.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed texinfo warnings and errors leading to an FTBFS (Closes #712368)

 -- Hilko Bengen <bengen@debian.org>  Sat, 23 Nov 2013 16:25:12 +0100

vm (8.1.2-2) unstable; urgency=low

  * Also add emacs24 to the postinst, so we register with ucf
  * Bug fix: "deletes shipped file during installation:
    /usr/share/emacs/site-lisp/vm/vm-autoloads.el", thanks to Andreas
    Beckmann (Closes: #706373).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 29 Apr 2013 13:02:37 -0700

vm (8.1.2-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "unowned files after purge (policy 6.8, 10.8)", thanks to
    Andreas Beckmann. We don't need that file, so we should not install it
    in the first place.                                   (Closes: #656219).
  * Bug fix: "vm/w3m incorrectly displays HTML Mime contents with charset
    different from  locale", thanks to comcap@free.fr. This has been fixed
    in this new upstream version.                         (Closes: #635909).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Apr 2013 00:22:49 -0700

vm (8.1.0-1) unstable; urgency=low

  * New upstream version
  * [20fe869]: Merge branch 'upstream' into topic--debian
  * Bug fix: "sc-cite-original citation hook fails for mime encoded
    messages", thanks to Klaus Reichl              (Closes: #550859).
  * Bug fix: "8bit characters are not escapes in In-reply-to field",
    thanks to Neil Brown                           (Closes: #434565).
  * Bug fix: "vm-mime-encode-headers may mess up recipient addresses",
    thanks to Francois Fleuret                     (Closes: #553402).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 08:03:45 -0700

vm (8.0.13-1) unstable; urgency=low

  * New upstream release. The project isunder new management now. This is
    a bug fixing release, which handles a flaw in caching.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 29 Nov 2009 11:48:54 -0600

vm (8.0.12-7) unstable; urgency=low

  * Told lintian to stop parsing old changelogs.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 01 Nov 2009 20:21:57 -0600

vm (8.0.12-6) unstable; urgency=low

  * Take extra care to remove cruft during remove and/or purge.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Oct 2009 09:59:26 -0500

vm (8.0.12-5) unstable; urgency=low

  * [e457f1c]: [topic--debian]: remove references to vm-easymenu
    Bug fix: "vm.el still references vm-easymenu, which has gone", thanks
    to Klaus Reichl                                    (Closes: #470263).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Oct 2009 22:59:37 -0500

vm (8.0.12-4) unstable; urgency=low

  * New release to bring package into conformance with latest policy.
  * [88e374f]: [vm]: Info files are now installed using triggers

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Aug 2009 16:58:04 -0500

vm (8.0.12-3) unstable; urgency=low

  * A new, bug fixing release.
  * [1493c77]: [vm] Remove files from the site-lisp directory
    This was caught by piuparts.
  * Updated Standards version to 3.8.2.0.  Also, use emacs23 instead of
    emacs22, now that it has entered testing.
  * Info files are now installed using triggers.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Aug 2009 12:38:42 -0500

vm (8.0.12-2) unstable; urgency=low

  * This version of VM does not work with Emacs 21 and lower, since those
    versions are missing the custom-autoload function which is used
    invm-autoloads.el.  As a result, no autoloads for vm are defined,
    making vm completely unusable with emacs21. VM no longer byte compiles
    itself for those versions.  Remove support for emacs20 and emacs21 in
    emacsen.{install,remove}, add support for emacs23. Also add an
    NEWS.Debian file to document this change.
    Bug fix: "broken with emacs21 - (void-function custom-autoload)",
    thanks to Sven Joachim                               (Closes: #508543).
  * [c9a55df]: Added missing autoload cookie for
    vm-decode-postponed-mime-message. For good measure, add an autoload
    directive to the vm-init file as well.
    Bug fix: "Now requires forced load of vm-pine ", thanks to Dirk
    Eddelbuettel                                          (Closes: #516591).
  * [debiandir:a9a97a6]: remove call to install-docs, since this is now
    done with triggers.
  * [debiandir:263c26a]: Remove configure generated files in clean target

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Mar 2009 02:19:48 -0500

vm (8.0.12-1) unstable; urgency=low

  * New upstream release
    [b68c89b] Merge branches 'upstream', 'topic--debian' and 'topic--base64'
    [580b1fe] Merge branch 'upstream' into topic--debian
    [5007800] Merge branch 'upstream' into topic--base64
    [f6416fc] Imported vm-8.0.12
    IMPROVEMENTS:
    + Display version info when calling `vm-version' interactively.
      (Thanks to Ulrich Mueller)
    + Yanking of messages uses the same MIME decoding as the presentation
      now.  See the new variable `vm-mime-yank-attachments' to configure if
      attachments are also yanked.
    + `u-vm-color.el' is bundled and maintained with VM now.  Ulf Jasper
       handed it over to me as he switched to Gnus.
    BUGFIXES:
    + Detect w3 by using `locate-library' instead of checking for a bound
      `w3-about'. (Thanks to Klaus Straubinger)
    + vm.revno.el was not installed anymore b "make install".  (Thanks to
      Ulrich Mueller for reporting)
    + Insert `emacs-version' instead of creating wrong version string for
      XEmacs, i.e. the patch level was the major version. (Thanks to Stephen
      Turnbull)
    + Correctly locate the data directory for the pixmaps when running as a
      XEmacs package.
    + Check for some MIME character sets that may be available in recent
      XEmacs.  (Thanks to Aidan Kehoe for the patch)
    + Some documentation fixes. (Thanks to Michael Ernst for the patches)


=== debian/control ===
Source: vm
VCS-Git: git://git.debian.org/~srivasta/debian/vm.git
VCS-Browser: http://git.debian.org/git/?p=users/srivasta/debian/vm.git
Section: mail
Homepage: https://launchpad.net/vm
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.4
Build-Depends-Indep: debhelper (>= 9.0.0), autotools-dev, emacs24,
 texi2html (>= 1.76), texinfo

Package: vm
Architecture: all
Depends: ${misc:Depends}, ucf (>= 0.08), emacs24 | emacsen, make,
          dpkg (>= 1.15.4) |  install-info
Suggests: exim4 | sendmail | mail-transport-agent,  stunnel
Provides: mail-reader
Conflicts: semi, wemi, semi1.12, wemi1.12
Description: mail user agent for Emacs
 VM (View Mail) is an Emacs subsystem that allows UNIX mail to be read
 and disposed of within Emacs.  Commands exist to do the normal things
 expected of a mail user agent, such as generating replies, saving
 messages to folders, deleting messages and so on.  There are other
 more advanced commands that do tasks like bursting and creating
 digests, message forwarding, and organizing message presentation
 according to various criteria.  With smtpmail in modern emacsen, you do
 not need an MTA locally in order to use VM.
 .
 This package does not cater to XEmacs, since vm comes (by default)
 bundled in with XEmacs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

SRCTOP    := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
TMPTOP     = $(SRCTOP)/debian/$(package)
package   := vm

INSTALL = install
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif
install_file    = $(INSTALL) -p    -o root -g root  -m  644
install_program = $(INSTALL) -p    -o root -g root  -m  755
install_script  = $(INSTALL) -p    -o root -g root  -m  755
make_directory  = $(INSTALL) -p -d -o root -g root  -m  755


PREFIX     = /usr
P_MANDIR   = $(PREFIX)/share/man
P_BINDIR   = $(PREFIX)/bin
P_INFODIR  = $(PREFIX)/share/info
P_DOCTOP   = $(PREFIX)/share/doc
P_LISPDIR  = $(PREFIX)/share/emacs/site-lisp/$(package)
P_PIXMAPDIR= $(P_LISPDIR)/pixmaps


%:
	dh $@  --with autotools-dev


override_dh_auto_configure:
	dh_auto_configure -- --verbose  --sysconfdir=/etc \
	  --with-pixmapdir=$(P_PIXMAPDIR)

override_dh_auto_install:
	dh_auto_install
	@find $(TMPTOP)$(P_LISPDIR) -type f -name \*.elc -exec rm -f {} \;
	@test -d debian/tmp || mkdir debian/tmp
	test -d debian/tmp/html || mkdir -p debian/tmp/html
	(cd debian/tmp/html; \
         texi2html -doctype html2 -expandinfo -glossary -menu \
                   -split_chapter -o . -verbose  ../../../info/vm.texinfo)

override_dh_install:
	dh_install
# mime codecs should not get installed
	@rm -rf $(TMPTOP)/usr/bin
	$(install_file) lisp/Makefile     $(TMPTOP)$(P_LISPDIR)/Makefile
	$(install_file) lisp/Makefile.in  $(TMPTOP)$(P_LISPDIR)/Makefile.in
	$(install_file) lisp/vm-build.el  $(TMPTOP)$(P_LISPDIR)/
	$(install_file) debian/vm.emacsen-startup  \
                                          $(TMPTOP)$(P_LISPDIR)/vm-init.el
	test ! -f $(TMPTOP)$(P_LISPDIR)/vm-autoloads.el  || \
            rm -f $(TMPTOP)$(P_LISPDIR)/vm-autoloads.el

override_dh_fixperms:
	dh_fixperms
	@test ! -d debian/vm/usr/share/man || rm -rf debian/vm/usr/share/man
	@rm -f $(TMPTOP)/usr/share/emacs/site-lisp/vm/version.txt
#Local variables:
#mode: makefile
#End:

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

# http://www.seanet.com/~kylemonger/vm/vm-([0-9][0-9\.]*)\.tar\.gz debian

#opts="uversionmangle=s/\.$//" \
#http://download.savannah.nongnu.org/releases/viewmail/vm-([0-9][0-9\.]*?[0-9]+)(-\d+)?\.tgz debian

# This also givces us not yet released versions
#opts=filenamemangle=s/tgz$/tar.gz/ \
#https://launchpad.net/vm https://launchpad.net/vm/.*/.*/\+download/vm-(.*).tgz

# So. We currently only want the 8.1.x series, and also the non-emacs-23 versions
# which are source only
opts=filenamemangle=s/tgz$/tar.gz/ \
https://launchpad.net/vm/+download https://launchpad.net/vm/8\.1.*/.*/\+download/vm-([\d\.]+).tgz

## vm 8.2.0b

=== debian/changelog ===
vm (8.2.0b-1) unstable; urgency=low

  * New upstream release. This has been in Beta for two years now, and
    seems to work fine.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Apr 2014 16:31:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: vm
-VCS-Git: git://git.debian.org/~srivasta/debian/vm.git
+VCS-Git: git://anonscm.debian.org/users/srivasta/debian/vm.git
 VCS-Browser: http://git.debian.org/git/?p=users/srivasta/debian/vm.git
 Section: mail
 Homepage: https://launchpad.net/vm
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends-Indep: debhelper (>= 9.0.0), autotools-dev, emacs24,
- texi2html (>= 1.76), texinfo
+ texinfo, texlive-latex-base, texlive-fonts-recommended
 
 Package: vm
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # build-arch and build-indep targets  by Bill Allombert 2001
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -35,9 +35,10 @@
 P_BINDIR   = $(PREFIX)/bin
 P_INFODIR  = $(PREFIX)/share/info
 P_DOCTOP   = $(PREFIX)/share/doc
+P_DOCDIR   = $(P_DOCTOP)/$(package)
 P_LISPDIR  = $(PREFIX)/share/emacs/site-lisp/$(package)
 P_PIXMAPDIR= $(P_LISPDIR)/pixmaps
-
+DOCDIR     = $(TMPTOP)$(P_DOCDIR)
 
 %:
 	dh $@  --with autotools-dev
@@ -50,11 +51,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	@find $(TMPTOP)$(P_LISPDIR) -type f -name \*.elc -exec rm -f {} \;
-	@test -d debian/tmp || mkdir debian/tmp
-	test -d debian/tmp/html || mkdir -p debian/tmp/html
-	(cd debian/tmp/html; \
-         texi2html -doctype html2 -expandinfo -glossary -menu \
-                   -split_chapter -o . -verbose  ../../../info/vm.texinfo)
+	(cd $(DOCDIR) && makeinfo --html --ifinfo  --split=chapter \
+                                 -o html  $(SRCTOP)/info/vm.texinfo)
 
 override_dh_install:
 	dh_install
@@ -67,6 +65,14 @@
                                           $(TMPTOP)$(P_LISPDIR)/vm-init.el
 	test ! -f $(TMPTOP)$(P_LISPDIR)/vm-autoloads.el  || \
             rm -f $(TMPTOP)$(P_LISPDIR)/vm-autoloads.el
+override_dh_installchangelogs:
+	dh_installchangelogs
+	test ! -d  $(TMPTOP)/$(PREFIX)/share/$(package)/pixmaps || \
+          mv $(TMPTOP)/$(PREFIX)/share/$(package)/pixmaps \
+             $(TMPTOP)$(P_PIXMAPDIR)
+	test ! -f $(TMPTOP)/usr/share/$(package)/COPYING || rm $(TMPTOP)/usr/share/$(package)/COPYING
+	test ! -f $(DOCDIR)/CHANGES || rm $(DOCDIR)/CHANGES
+	test ! -f $(DOCDIR)/COPYING || rm $(DOCDIR)/COPYING
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

# http://www.seanet.com/~kylemonger/vm/vm-([0-9][0-9\.]*)\.tar\.gz debian

#opts="uversionmangle=s/\.$//" \
#http://download.savannah.nongnu.org/releases/viewmail/vm-([0-9][0-9\.]*?[0-9]+)(-\d+)?\.tgz debian

opts=filenamemangle=s/tgz$/tar.gz/ \
https://launchpad.net/vm https://launchpad.net/vm/.*/.*/\+download/vm-([\d\.a-z]+).tgz

# So. If We only want the 8.1.x series, and also the non-emacs-23 versions
# which are source only
#opts=filenamemangle=s/tgz$/tar.gz/ \
#https://launchpad.net/vm/+download https://launchpad.net/vm/8\.1.*/.*/\+download/vm-([\d\.]+).tgz

## vm src

=== toybox/Makefile ===
# Makefile for toybox.
# Copyright 2006 Rob Landley <rob@landley.net>

# If people set these on the make command line, use 'em
# Note that CC defaults to "cc" so the one in configure doesn't get
# used when scripts/make.sh and such called through "make".

HOSTCC?=cc

export CROSS_COMPILE CFLAGS OPTIMIZE LDOPTIMIZE CC HOSTCC V STRIP ASAN

all: toybox

KCONFIG_CONFIG ?= .config

toybox generated/unstripped/toybox: $(KCONFIG_CONFIG) *.[ch] lib/*.[ch] toys/*/*.c scripts/*.sh Config.in
	scripts/make.sh

.PHONY: clean distclean baseline bloatcheck install install_flat \
	uninstall uninstall_flat tests help change \
	list list_example list_pending root run_root
.SUFFIXES: # Disable legacy behavior

include kconfig/Makefile
-include .singlemake

$(KCONFIG_CONFIG): $(KCONFIG_TOP)
	@if [ -e "$(KCONFIG_CONFIG)" ]; then $(MAKE) silentoldconfig; \
	else echo "Not configured (run '$(MAKE) defconfig' or '$(MAKE) menuconfig')";\
	exit 1; fi

$(KCONFIG_TOP): generated/Config.in generated/Config.probed
generated/Config.probed: generated/Config.in
generated/Config.in: toys/*/*.c scripts/genconfig.sh
	scripts/genconfig.sh

# Development targets
baseline: generated/unstripped/toybox
	@cp generated/unstripped/toybox generated/unstripped/toybox_old

bloatcheck: generated/unstripped/toybox_old generated/unstripped/toybox
	@scripts/probes/bloatcheck generated/unstripped/toybox_old generated/unstripped/toybox

install_flat: toybox
	scripts/install.sh --symlink --force

install_airlock: toybox
	scripts/install.sh --symlink --force --airlock

install: toybox
	scripts/install.sh --long --symlink --force

uninstall_flat:
	scripts/install.sh --uninstall

uninstall:
	scripts/install.sh --long --uninstall

change:
	scripts/change.sh

root_clean:
	@rm -rf root
	@echo root cleaned

clean::
	@chmod -fR 700 generated || true
	@rm -rf toybox generated change install .singleconfig*
	@echo cleaned

# If singlemake was in generated/ "make clean; make test_ls" wouldn't work.
distclean: clean root_clean
	@rm -f toybox* .config* .singlemake
	@echo removed .config

tests: ASAN=1
tests: toybox
	scripts/test.sh

root:
	mkroot/mkroot.sh $(MAKEFLAGS)

run_root:
	cd root/"$${CROSS:-host}" && ./run-qemu.sh

help::
	@cat scripts/help.txt
